Show / Hide Table of Contents

# Interface ICallGateSubscriber<T1, T2, TRet>

###### Namespace: Dalamud.Plugin.Ipc

###### Assembly: Dalamud.dll

##### Syntax

    public interface ICallGateSubscriber<T1, T2, TRet>

##### Type Parameters

Name | Description
--- | ---
T1 |
T2 |
TRet |

### Methods

| Improve this Doc View Source

#### InvokeAction(T1, T2)

##### Declaration

    void InvokeAction(T1 arg1, T2 arg2)

##### Parameters

Type | Name | Description
--- | --- | ---
T1 | arg1 |
T2 | arg2 |

| Improve this Doc View Source

#### InvokeFunc(T1, T2)

##### Declaration

    TRet InvokeFunc(T1 arg1, T2 arg2)

##### Parameters

Type | Name | Description
--- | --- | ---
T1 | arg1 |
T2 | arg2 |

##### Returns

Type | Description
--- | ---
TRet |

| Improve this Doc View Source

#### Subscribe(Action<T1, T2>)

##### Declaration

    void Subscribe(Action<T1, T2> action)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action<T1, T2> | action |

| Improve this Doc View Source

#### Unsubscribe(Action<T1, T2>)

##### Declaration

    void Unsubscribe(Action<T1, T2> action)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action<T1, T2> | action |